Name: vte3
Version: 0.27.0
Release: 1%{?dist}
Summary: A terminal emulator
License: LGPLv2+
Group: User Interface/X
#VCS: git:git://git.gnome.org/vte
Source: http://download.gnome.org/sources/vte/0.27/vte-%{version}.tar.bz2

BuildRequires: gtk3-devel >= 2.91
BuildRequires: ncurses-devel
BuildRequires: gettext
BuildRequires: libXt-devel
BuildRequires: intltool

# initscripts creates the utmp group
Requires: initscripts

%description
VTE is a terminal emulator widget for use with GTK+ 2.0.

%package devel
Summary: Files needed for developing applications which use vte
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ncurses-devel

%description devel
The vte-devel package includes the header files and developer docs
for the vte package.

Install vte-devel if you want to develop programs which will use
vte.

%prep
%setup -q -n vte-%{version}

%build
%configure \
        --enable-shared \
        --enable-static \
        --with-gtk=3.0 \
        --libexecdir=%{_libdir}/vte-2.90 \
        --without-glX \
        --disable-gtk-doc
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang vte-2.90

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f vte-2.90.lang
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%doc src/iso2022.txt
%doc doc/utmpwtmp.txt doc/boxes.txt doc/openi18n/UTF-8.txt doc/openi18n/wrap.txt
%{_libdir}/*.so.*
%dir %{_libdir}/vte-2.90
%attr(2711,root,utmp) %{_libdir}/vte-2.90/gnome-pty-helper
%{_datadir}/vte

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/vte-2.90/decset
%{_libdir}/vte-2.90/interpret
%{_libdir}/vte-2.90/osc
%{_libdir}/vte-2.90/slowcat
%{_libdir}/vte-2.90/window
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_bindir}/vte2_90
%doc %{_datadir}/gtk-doc/html/vte-2.90

%changelog
* Mon Oct  4 2010 Matthias Clasen <mclasen@redhat.com> 0.27.0-1
- Initial packaging
